org.apache.log4j.filter

## Class SimpleFilterTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.apache.log4j.filter.SimpleFilterTest

- All Implemented Interfaces:
    junit.framework.Test

      public class SimpleFilterTest
      extends junit.framework.TestCase

  Various tests verifying that filters work properly and that JoranConfigurator can effectively parse config files containing them.
  Author:
    Ceki Gulcu

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FILTERED`
    `static String` | `TEMP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleFilterTest(String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setUp()`
    `void` | `tearDown()`
    `void` | `test1()`
    `void` | `test10()`
    `void` | `test11()`
    `void` | `test12()`
    `void` | `test6()`
    `void` | `test7()`
    `void` | `test8()`
    `void` | `test9()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FILTERED

          public static final String FILTERED

      See Also:
        Constant Field Values

    - #### TEMP

          public static final String TEMP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SimpleFilterTest

          public SimpleFilterTest(String name)

  - ### Method Detail

    - #### setUp

          public void setUp()

      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          public void tearDown()

      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### test1

          public void test1()
                     throws Exception

      Throws:
        `Exception`

    - #### test6

          public void test6()
                     throws Exception

      Throws:
        `Exception`

    - #### test7

          public void test7()
                     throws Exception

      Throws:
        `Exception`

    - #### test8

          public void test8()
                     throws Exception

      Throws:
        `Exception`

    - #### test9

          public void test9()
                     throws Exception

      Throws:
        `Exception`

    - #### test10

          public void test10()
                      throws Exception

      Throws:
        `Exception`

    - #### test11

          public void test11()
                      throws Exception

      Throws:
        `Exception`

    - #### test12

          public void test12()
                      throws Exception

      Throws:
        `Exception`

Copyright © 2013 The Apache Software Foundation. Licensed under the Apache License, Version 2.0

Apache Extras for Apache log4j, Apache log4j and Apache are trademarks of the Apache Software Foundation.